pgfx_bitmap.c File Reference

Main Page Modules Alphabetical List Compound List File List Compound Members File Members

# /home/micah/picogui/pg1/client/c/src/pgfx_bitmap.c File Reference

`#include "clientlib.h"`

## Functions
pgprim | _pgfxbitmap_pixel (pgcontext c, pgu x, pgu y)
pgprim | _pgfxbitmap_line (pgcontext c, pgu x1, pgu y1, pgu x2, pgu y2)
pgprim | _pgfxbitmap_rect (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxbitmap_blur (pgcontext c, pgu x, pgu y, pgu w, pgu h, pgu radius)
pgprim | _pgfxbitmap_frame (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxbitmap_slab (pgcontext c, pgu x, pgu y, pgu w)
pgprim | _pgfxbitmap_bar (pgcontext c, pgu x, pgu y, pgu h)
pgprim | _pgfxbitmap_ellipse (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxbitmap_fellipse (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxbitmap_fpolygon (pgcontext c, pghandle array)
pgprim | _pgfxbitmap_text (pgcontext c, pgu x, pgu y, pghandle string)
pgprim | _pgfxbitmap_bitmap (pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)
pgprim | _pgfxbitmap_rotatebitmap (pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)
pgprim | _pgfxbitmap_tilebitmap (pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)
pgprim | _pgfxbitmap_gradient (pgcontext c, pgu x, pgu y, pgu w, pgu h, pgu angle, pgcolor c1, pgcolor c2)
pgprim | _pgfxbitmap_setcolor (pgcontext c, pgcolor color)
pgprim | _pgfxbitmap_setfont (pgcontext c, pghandle font)
pgprim | _pgfxbitmap_setlgop (pgcontext c, short lgop)
pgprim | _pgfxbitmap_setangle (pgcontext c, pgu angle)
pgprim | _pgfxbitmap_setsrc (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxbitmap_setmapping (pgcontext c, pgu x, pgu y, pgu w, pgu h, short type)
pgprim | _pgfxbitmap_setclip (pgcontext c, pgu x, pgu y, pgu w, pgu h)
void | _pgfxbitmap_update (pgcontext c)
pgcontext | pgNewBitmapContext (pghandle bitmap)
| Create a context for rendering to a bitmap.

## Function Documentation

pgprim _pgfxbitmap_bar | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | h
| ) |

pgprim _pgfxbitmap_bitmap | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pghandle | bitmap
| ) |

pgprim _pgfxbitmap_blur | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pgu | radius
| ) |

pgprim _pgfxbitmap_ellipse | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxbitmap_fellipse | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxbitmap_fpolygon | ( | pgcontext | c,
|  | pghandle | array
| ) |

pgprim _pgfxbitmap_frame | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxbitmap_gradient | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pgu | angle,
|  | pgcolor | c1,
|  | pgcolor | c2
| ) |

pgprim _pgfxbitmap_line | ( | pgcontext | c,
|  | pgu | x1,
|  | pgu | y1,
|  | pgu | x2,
|  | pgu | y2
| ) |

pgprim _pgfxbitmap_pixel | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y
| ) |

pgprim _pgfxbitmap_rect | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxbitmap_rotatebitmap | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pghandle | bitmap
| ) |

pgprim _pgfxbitmap_setangle | ( | pgcontext | c,
|  | pgu | angle
| ) |

pgprim _pgfxbitmap_setclip | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxbitmap_setcolor | ( | pgcontext | c,
|  | pgcolor | color
| ) |

pgprim _pgfxbitmap_setfont | ( | pgcontext | c,
|  | pghandle | font
| ) |

pgprim _pgfxbitmap_setlgop | ( | pgcontext | c,
|  | short | lgop
| ) |

pgprim _pgfxbitmap_setmapping | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | short | type
| ) |

pgprim _pgfxbitmap_setsrc | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxbitmap_slab | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w
| ) |

pgprim _pgfxbitmap_text | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pghandle | string
| ) |

pgprim _pgfxbitmap_tilebitmap | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pghandle | bitmap
| ) |

void _pgfxbitmap_update | ( | pgcontext | c | ) |

pgcontext pgNewBitmapContext | ( | pghandle | bitmap | ) |

  | Create a context for rendering to a bitmap. Parameters:
  bitmap | Handle to a bitmap
Returns: A pgcontext that can be used with PGFX primitives. It must be deleted with pgDeleteContext `bitmap` may be zero to render directly to the display if your application has registered for exclusive display access. See also: pgDeleteContext, pgNewBitmap, pgCreateBitmap, PG_OWN_DISPLAY, pgRegisterOwner